<?php
// ========================================================================================
/*
Explications : consulter la page : description.html
*/
// ========================================================================================
include "library/DB_fct.inc.php";
include "library/install.inc.php";
include "library/_baseDesign.inc.php";
// ========================================================================================
// FONCTIONS LOCALES
// ========================================================================================
// cette fonction doit être déclarée, même vide car elle est appelée dans _pageHeader() mais n'y est pas définie
// car elle est propre à chaque page. elle sert à remplir la colonne de droite pour créer un menu contextuel
function _menuRight(){
global $_REQUEST;
//global $install;
global $dbDeleted;
echo "";
echo "<div class='help'>
	Supprimer&nbsp;la&nbsp;base.<br>
	(et/ou le contexte ...)
</div>";
	echo "<a href=description.php target=_blank >Description et modifs</a><br>";
	echo "<a href=scenarii.php target=_blank >Scenarii types</a><br>";
	echo "<a href=changelog.php target=_blank >Versions</a><br>";
}

// ========================================================================================
// MAIN()
// ========================================================================================
$dbDeleted=false;
$userId="";
_pageHeader($userId);	// entête de page et menu
$connexion=DB_connecter();

if (chk_install()>2 || !$dbDeleted) $install=true; else $install=false;

$l_achat=$l_gescom=$l_compta=$l_gesprod=$l_gestech=$l_planif="";
if ($install){
$l_achat="cdeArtLst.php";
$l_gescom="gesComTierLst.php";
$l_compta="comptaMvtLst.php";
$l_gesprod="erpArtLst.php";
$l_gestech="beArtLst.php";
$l_planif="planif.php";
}
?>
<style>
	section {background:#f99;}
</style>
<br> 
	<section><header><h1>Maintenance de la base.</h1></header>
		<br><br>
		<article>
<?php
if ($install){
	include ("config/dbCfg.inc.php");
	echo "<h2><blink>Suppression de la base de données $bd.</blink></h2><br>";
	if (isset($_REQUEST['deleteDataBase'])){
		if ($_REQUEST['deleteDataBase']=='deleteDataBase')
			echo "
				<div id=deleteDBForm><form>
					<p>Confirmer ci-dessous la suppression de la base</p>
					Cocher : <input type=checkbox name=deleteDataBase value='doDeleteDB' > <br>
					<input type=submit name=Supprimer value=Supprimer>
				</form></div>
			";
		elseif ($_REQUEST['deleteDataBase']=='doDeleteDB'){
			$query="drop database $bd;";
			$resQry =DB_executerRequete($query, $connexion); 
			echo mysql_error();
			DB_deconnecter();
			echo "Base $bd supprimée";
		}else
			echo "Demande erronée";
	}else
		echo "Demande incorrecte";
}else{
	echo "<h2>Base de données $bd non installée.</h2><br>";
	do_install();
}
?>
		</article>
	</section>
<?php
_pageFooter(); // pied de page

/* poubelle de code =======================================================================
$opts['fdd']['telephone'] = array(
  'name'     => 'Telephone',
  'colDesc'  => 'Téléphone',
  'select'   => 'T',
  'maxlen'   => 20,
  'required' => true,
  'sort'     => true
);
*/
?>
